Bug 337661 - [RHEL5] backport pata_jmicron instead of generic ide driver
Summary: [RHEL5] backport pata_jmicron instead of generic ide driver
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.1
Hardware: All Linux
low
high
Target Milestone: ---
: ---
Assignee: Aristeu Rozanski
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 364541
TreeView+ depends on / blocked
 
Reported: 2007-10-18 10:12 UTC by Justin Tsai
Modified: 2012-07-19 14:17 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 14:17:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Justin Tsai 2007-10-18 10:12:23 UTC
Description of problem:


Version-Release number of selected component (if applicable):
RHEL 5.1

How reproducible:
1. Boot from Installation cd

Steps to Reproduce:
1.boot
2.
3.
  
Actual results:
1.show device as hdx.

Expected results:
1.show device as sdx.

Additional info:
1.Include patch for match class code only will also support new controller.

Comment 1 Aristeu Rozanski 2007-11-12 20:44:11 UTC
Justin, I'll have to check if this is possible. Changing device names
between updates isn't a good idea.
The pata_jmicron driver is almost up-to-date in RHEL-5 kernel but isn't enabled.
Are there features missing on the generic driver?


Comment 2 Aristeu Rozanski 2008-01-07 16:34:34 UTC
Justin,
would be enough backporting pata_jmicron so newer devices (or devices not detected
by the drivers/ide/pci/generic driver) are supported by the libata version?


Comment 3 Aristeu Rozanski 2008-06-19 16:50:45 UTC
Justin, ping?


Comment 4 Aristeu Rozanski 2008-09-04 15:40:48 UTC
Justin,
there's a new patch in RHEL-5 that allows disabling all drivers/ide/ drivers
on boot time:
   ide=disable
can you give it a try on a newer RHEL-5 kernel and see if you can use the
controller?

Comment 7 Aristeu Rozanski 2012-07-19 14:17:00 UTC
No answer for a while, closing this bug. Feel free to reopen it if you have the
information requested.


Note You need to log in before you can comment on or make changes to this bug.